Backups not reading after official 4.2 update

Discussion in 'Wii - Hacking' started by Bloodlust, Jan 2, 2010.

Jan 2, 2010
  1. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Some months ago, I modded a Wii for a friend. It was a 3.2 set. So I just installed neogamma r6 & rev10 for him. It is a non LU64 set with bootmii NAND & disc backups were definitely working.

    Yesterday, he brought his set to me again because he bought the original copy of band hero & upgraded it. Fair enough I believe it updated the firmware & overwrote the ios36 & others. Then his nephew again updated it to 4.2 via nintendo update.

    So there again, I used TBR 1.1 mod & did the usual stuffs. Deleted the stubs and replaced them with ios249 rev14 & hermes v4. To my surprise, when I tried to launch a game using neogamma r7, it threw a DVD read error at me. Tried another few games & all produced the same result. So since it's an old Wii, I proceeded to use ARC to downgrade it to 3.2. Neogamma r7 still refused to launch the games. Since downgrading from a higher firmware, there are bound to be quite a number of unrelated IOSes (and stubs from 4.2), the next step I did was to format the Wii under 3.2 thinking this would really produce a clean slate. I was wrong, when I used DOP-IOS mod to check. IOSes 60 (v6400), 61 and some 3.4 IOSes were still intact. So I deleted them. Of course I took extra precaution not to delete any related to 3.2 firmware.

    Next I installed ios249 rev10 with neogamma r6. This time it worked. I also tried uloader and it worked as well. I also tried rev15/16. 16 bombed under neogamma as it always times out when trying to read the disc. Another thing to take note is when I use HBC/uloader the wiimote seems to act strangely as I have to tilt the controller sideways or at an angle in order to position it correctly at the screen.

    I also noticed that the 4.2 update changed the NAND to boot2v4. If that's the reason for neogamma acting up, can some expert please clarify? Also, since i downgraded it to 3.2, I thought of using IOS downgrader to totally restore the trucha bug for the other IOSes.

    One last thing, using Insanity check here are the list of current IOSes. Could someone tell me what is not supposed to be there? (Under 3.2)

    "SignCheck 0.3 aka /dev/nintystuff build report"
    "Wii region", Usa
    "Wii unique device id", 48072498

    "IOS number", "Trucha bug", "Flash access", "Boot2 access", "Usb2.0 IOS tree"

    "IOS250 (ver 65535)", Enabled, Enabled, Disabled, Enabled
    "IOS249 (ver 10)", Enabled, Enabled, Disabled, Enabled
    "IOS223 (ver 4)", Enabled, Disabled, Disabled, Disabled
    "IOS222 (ver 4)", Enabled, Disabled, Disabled, Disabled
    "IOS57 (ver 5661)", Enabled, Disabled, Disabled, Disabled
    "IOS56 (ver 5405)", Enabled, Disabled, Disabled, Disabled
    "IOS55 (ver 4633)", Enabled, Disabled, Disabled, Disabled
    "IOS53 (ver 4113)", Enabled, Disabled, Disabled, Disabled
    "IOS38 (ver 3609)", Enabled, Disabled, Disabled, Disabled
    "IOS37 (ver 2070)", Disabled, Disabled, Disabled, Disabled
    "IOS36 (ver 1042)", Enabled, Enabled, Disabled, Disabled
    "IOS35 (ver 3349)", Enabled, Disabled, Disabled, Disabled
    "IOS34 (ver 3348)", Enabled, Disabled, Disabled, Disabled
    "IOS33 (ver 3091)", Enabled, Disabled, Disabled, Disabled
    "IOS31 (ver 3349)", Enabled, Disabled, Disabled, Disabled
    "IOS30 (ver 1040)", Enabled, Enabled, Disabled, Disabled
    "IOS28 (ver 1550)", Enabled, Disabled, Disabled, Disabled
    "IOS22 (ver 1037)", Enabled, Disabled, Disabled, Disabled
    "IOS17 (ver 775)", Enabled, Disabled, Disabled, Disabled
    "IOS14 (ver 520)", Enabled, Disabled, Disabled, Disabled
    "IOS13 (ver 273)", Enabled, Disabled, Disabled, Disabled
     
  2. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    what version of signCheck is that list from?
    It says 0.3 at the top, but you should use 0.3b

    Cause it seems some IOS are missing from it (like the essential IOS70 for system menu 4.2)
     
  3. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    If you're performing an offline installation (using an IOS WAD), try recreating the IOS38 v3610 WAD in NUS Downloader, or, if available, try using a network installation.
     
  4. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Sorry forgot to mention I deleted that (IOS70) using ATD so it isn't there. But I remember seeing IOS9 using DOP but yet I can't see it in signcheck...
     
  5. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Anyone else can help?

    I only want to know 3 things :

    1) Why neogamma r6 + rev10 can play discs while r7 w/rev14 will give me read errors
    2) Can I downgrade my IOSes using ios downgrader despite my boot2 being updated to v4 thru nintendo. (It's a non LU64 with bootmii as NAND)
    3) Does the system IOSes have anything to read with neogamma r7 not working. I think there are still some more IOSes from 4.2 with higher builds that don't belong there.
     
  6. wadzinsky

    Newcomer wadzinsky Advanced Member

    Joined:
    Dec 16, 2009
    Messages:
    98
    Location:
    Uranus
    Country:
    United States
    WHATT!!!?? you DELETED IOS70? and you are running v4.2 sys menu? If you reset your wii, you'll have a brick for sure. System Menu 4.2 requires IOS70 to work.

    Sys Menu 4.2 - IOS70 = BRICK!!
     
  7. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    LOL.. please read my top post before jumping to conclusions... [​IMG]
     
  8. giantpune

    Member giantpune GBAtemp Addict

    Joined:
    Apr 10, 2009
    Messages:
    2,860
    Country:
    United States
    also, the 4.2 update removed bootmii from boot2 if it was ever there. and you dont have the bootmii IOS. installing any system menu or updating/downgrading it removes preloader.

    while it seems like you have a good enough understanding of what not to do to kill the wii, you are operating with absolutely 0 brick protection. i would suggest you run the hackmii installer again and toss bootmii on there. and depending on what bootmii version you used to make that nand backup, it may or may not work with the current bootmii.

    and yes the 4.2 update put boot2v4 on the wii, but there is no permanent change. you can install boot2 from a wad (check your old wii games or NUS for old versions). But just like installing a system menu kills preloader, installing boot2 = bye,bye, bootmii.
     
  9. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    I already backed up the NAND using bootmii before I attempted to downgrade to 3.2 and hereafter. Thanks for the advice though
     
  10. schnitzelbrain

    Newcomer schnitzelbrain Advanced Member

    Joined:
    Apr 11, 2009
    Messages:
    64
    Country:
    Germany
    Beware, u have to use a bootmii version matching the nand backup. If u backed up with bootmii ver 0.1 and now try to restore with 0.4 it will not work

    Not shure isnt there a methode to get the "old" nand backup working under the new bootmii version ?
     
  11. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    did you even read the first post?
    He's on 3.2, not 4.2

    BUT he had to be more careful and he's lucky that the downgrade didn't brick (due boot2v4)
    and NEVER use IOS downgrader
     
  12. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Does using IOS downgrader matter since its not a LU64 set. Also, I installed IOS36-v1042 without any issues.

    Unless you mean that the boot2v4 can magically transform it into a LU64+ model..
     
  13. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    Seems you don't really get it
    The serial has NOTHING to do with it.

    The only reason people call it LU64+ is because the wii's with LU64 serials were the first to have Boot2v4 (or at least the first to have been found with it)
    so yes, it does magically transform in a LU64+ model.

    You should read http://sites.google.com/site/completesg/ha...de/4_2-and-lu64 [​IMG]
     
  14. Bloodlust
    OP

    Member Bloodlust GBAtemp Maniac

    Joined:
    May 25, 2006
    Messages:
    1,054
    Country:
    Hong Kong
    Ok, thanks for the heads up. Do you have any idea why only neogamma r6 w/ios249 rev 10 is the only one capable of reading discs and not rev14?
     
  15. wadzinsky

    Newcomer wadzinsky Advanced Member

    Joined:
    Dec 16, 2009
    Messages:
    98
    Location:
    Uranus
    Country:
    United States
    I did read his first post, and all posts. Pardon me for being a little slow.. [​IMG] It was kinda confusing. It looked like he started out on 3.2 and upgraded to 4.2 ... I was under the impression he was still on 4.2
     

Share This Page